Get the balance of all wallets of a customer

Requires the CUSTOMER.VIEW or WALLET.VIEW permission.

Authentication

X-API-KEYstring
API Key authentication via header
OR
AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

versionstringRequiredDefaults to 1
version
resourceIdOrReferencestringRequiredDefaults to
The ID or reference of the resource.

Headers

x-platform-idstringOptional
Platform ID.

Query parameters

expand[]list of stringsOptional
The id fields of the resources that are going to be expanded.

Request

This endpoint expects an object.
balance_atdatetimeOptional

The date of the balance determination. Default is now().

include_customer_detailsbooleanOptional

Include the per-customer breakdown of the reserved balance. Default is false.

Response

OK
wallet_balanceslist of objects or nullOptionalRead-only
balance_atstring or nullOptionalRead-only

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
500
Internal Server Error